/*
 * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"$Id: remove-printer.c,v 1.2 2005/11/10 17:50:58 njacobs Exp $"

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <locale.h>
#include <libintl.h>
#include <fcntl.h>
#include <errno.h>
#include <papi.h>

static void
usage(char *program)
{
	char *name;

	if ((name = strrchr(program, '/')) == NULL)
		name = program;
	else
		name++;

	fprintf(stdout, gettext("Usage: %s (destination) ...\n"), name);
	exit(1);
}

void
remove_printer(char *destination)
{
	papi_status_t status;
	papi_service_t svc = NULL;
	papi_encryption_t encryption = PAPI_ENCRYPT_NEVER;

	status = papiServiceCreate(&svc, NULL, NULL, NULL, NULL,
					encryption, NULL);
	if (status != PAPI_OK) {
		fprintf(stderr, gettext(
			"Failed to contact service for %s: %s\n"), destination,
			papiStatusString(status));
	}

	status = papiPrinterRemove(svc, destination);
	if (status != PAPI_OK) {
		fprintf(stderr, gettext("jobPrinterRemove: %s: %s\n"),
			destination, papiStatusString(status));
	} else
		printf(gettext("removed: %s\n"), destination);

	papiServiceDestroy(svc);

	exit(0);
}

int
main(int ac, char *av[])
{
	int c;

	(void) setlocale(LC_ALL, "");
	(void) textdomain("SUNW_OST_OSCMD");

	for (c = 1; c < ac; c++)
		remove_printer(av[c]);

	return (0);
}
